Legacy Phone ID Contact - Overview
WARNINGThis product is deprecated. We recommend using the Telesign Phone ID Contact identity signal rather than this legacy product.
Telesign legacy Phone ID Contact delivers contact information related to the subscriber's phone number to provide another set of indicators for established risk engines.
You can use it to find a subscriber’s:
- First name
- Last name
- Street address
- City
- State (or province)
- Country
- ZIP code
General requirements
- Authentication: Basic (easiest to implement) and Digest
- Endpoint:
https://rest-ww.telesign.com/v1/phoneid/contact/{complete_phone_number} - Encoding: Accepts only UTF-8 encoded unicode characters as inputs.
- Accepts: application/x-www-form-urlencoded
- Requred headers:
Content-Type - application/x-www-form-urlencoded
Request contact info for a number
For quick instructions about how to request contact information for a phone number, see the Request contact info for a number page.
For a list of available parameters, see the GET https://rest-ww.telesign.com/v1/phoneid/contact/{complete_phone_number}
reference page.
Example
Request
You send a GET request message like this one, to the /v1/phoneid/contact/ resource, with your user’s complete phone number as the subresource identifier, and the use-case code as a query parameter.
GET https://rest-ww.telesign.com/v1/phoneid/contact/15555551234?ucid=THEF HTTP/1.1
Authorization: Basic 12345678-9ABC-DEF0-1234-56789ABCDEF0:Uak4fcLTTH/Tv8c/Q6QMwl5t4ck=
Host: rest-ww.telesign.comResponse
HTTP/1.1 200 OK
Date: Wed, 03 Oct 2015 14:51:28 GMT
Server: CERN/3.0 libwww/2.17
Content-Length: 1242
Allow: GET,HEAD
Content-Type: application/json
{
"reference_id": "0123456789ABCDEF0123456789ABCDEF",
"sub_resource": "contact",
"status": {
"updated_on": "2015-10-03T14:51:28.709526Z",
"code": 300,
"description": "Transaction successfully completed"
},
"errors": [],
"location": {
"city": "PLAYA DEL REY",
"state": "CA",
"zip": "90291",
"metro_code": "",
"county": "Los Angeles County",
"country": {
"name": "United States",
"iso2": "US",
"iso3": "USA"
},
"coordinates": {
"latitude": 33.98005,
"longitude": -118.43566
},
"time_zone": {
"name": "America/Los_Angeles",
"utc_offset_min": "-8",
"utc_offset_max": "-8"
}
},
"numbering": {
"original": {
"complete_phone_number": "15555551234",
"country_code": "1",
"phone_number": "5555551234"
},
"cleansing": {
"call": {
"country_code": "1",
"phone_number": "5555551234",
"cleansed_code": 100,
"min_length": 10,
"max_length": 10
},
"sms": {
"country_code": "1",
"phone_number": "5555551234",
"cleansed_code": 100,
"min_length": 10,
"max_length": 10
}
}
},
"phone_type": {
"code": "1",
"description": "FIXED_LINE"
},
"carrier": {
"name": "Verizon"
},
"contact": {
"firstname": "NICHOLS RESTAURANT INC",
"lastname": "",
"address1": "4325 GLENCOE AVE",
"address2": "",
"address3": "",
"address4": "",
"city": "MARINA DEL REY",
"state_province": "CA",
"country": "US",
"zip_postal_code": "902926444"
}
}